# kills armor stand
execute unless block ~ ~ ~ minecraft:brewing_stand run tp @s ~ ~-1000 ~

# checks for amount of bottles every second
execute if score @s ttm.tick matches 19.. run function ttm:skills/brewing/ray/bottle_check

# bottle detection
execute if predicate ttm:detect/1_bottle unless predicate ttm:detect/2_bottle unless predicate ttm:detect/3_bottle run scoreboard players set @s ttm.1 1
execute if predicate ttm:detect/2_bottle unless predicate ttm:detect/3_bottle run scoreboard players set @s ttm.2 1
execute if predicate ttm:detect/3_bottle run scoreboard players set @s ttm.3 1

# Potion type check
execute if score @s ttm.brew_time matches 3 run function ttm:skills/brewing/potion_check

# Gets Brewing time
execute store result score @s ttm.brew_time run data get block ~ ~ ~ BrewTime 1

# Speed increase
execute if score @s ttm.brew_time matches 399.. run function ttm:skills/brewing/brew_speed

# Manual brewing timer
scoreboard players remove @s[scores={ttm.brw_timer=1..}] ttm.brew_time 1

# Freezes brewing stand until player interaction
execute if score @s ttm.brew_time matches 3..5 unless entity @a[scores={ttm.p_brew_timer=1..},distance=..4,sort=nearest,limit=1] run data modify block ~ ~ ~ BrewTime set value 5
execute if score @s ttm.brew_time matches 3..5 run scoreboard players set @a[distance=..4,sort=nearest,limit=1] ttm.p_brew_timer 10